
ChiliProject - Bug # 1203: REST-api with Java

Status: Open Priority: Normal
Author: Oussama Denden Category: REST API
Created: 2013-01-11 Assignee:
Updated: 2013-01-17 Due date:
Remote issue URL:
Affected version:
Description: it appear that the rest api isn't stable at all. We are working in a big web project

and we want to integrate chiliproject in our web site using the java rest api. I use  the following dependency  
@<dependency>
	<groupId>com.taskadapter</groupId>
	<artifactId>redmine-java-api</artifactId>
	<version>1.17</version>
</dependency>@

Creating a user work fine but when i try to add the user to a project with role customer using membership; The 
getRoles methode of the redmine manager class it return 404 not found. So i thought about adding the user to 
a user group but when i call the getGroups method it throw unauthorized exception which is very wired 
getIssues method work fine so im sure that my code doesn't have any problem the problem is server side. 
*Please help we need this as soon as possible.*

History
2013-01-14 02:04 pm - Felix Schäfer
- Priority changed from High to Normal

- Assignee deleted (Felix Schäfer)

- Target version deleted (2.8.0)

Please don't assign a target version, and assignee or a priority without consulting with the ChiliProject team first.

Please also check that the redmine-java-api library is compatible with ChiliProject. Note that the REST API of ChiliProject hasn't been developed as far 
as the REST API of Redmine. The development of the REST API is currently postponed until we rework it to a more uniform and complete one. If you 
have particular needs and can point us to which parts of the API you need, we might be able to adapt and add it to ChiliProject though.

2013-01-15 09:42 am - Oussama Denden
 I use the following dependency [[https://github.com/taskadapter/redmine-java-api]]
<dependency>
<groupId>com.taskadapter</groupId>
<artifactId>redmine-java-api</artifactId>
<version>1.17</version>
</dependency>

It's the latest release version of the api in Maven Central. createUser and getIssues methods work fine but methods like getGroups and getRoles 
doesn't work can you help please.

2013-01-17 08:12 pm - Felix Schäfer
As I said, this is an external project and we don't support it. If you can tell me which API end points you need we might be able to help you, but for 
example the groups REST API has only been added to Redmine after we've forked it.
